### Method

# FwupdPlugin Firmware set_filename

since: 1.6.0

#### Declaration [src]

    void
    fu_firmware_set_filename (
      FuFirmware* self,
      const gchar* filename
    )

#### Description [src]

Sets an optional filename that represents the image source or destination.

Available since: 1.6.0

#### Parameters

`filename`

  Type: `const gchar*`

  A string filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.